package com.qmth.sop.business.bean;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.sop.business.bean.result.FlowTaskResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class FormPropertyBean implements Serializable {

    @ApiModelProperty(value = "流程id")
    String flowId;

    @ApiModelProperty(value = "sopid")
    String sopId;

    @ApiModelProperty(value = "流程任务id")
    String taskId;

    @ApiModelProperty(value = "用户id")
    String userId;

    @ApiModelProperty(value = "动态表单")
    FlowTaskResult setupMap;

    public FormPropertyBean() {

    }

    public FormPropertyBean(String flowId, String taskId, FlowTaskResult setupMap) {
        this.flowId = flowId;
        this.taskId = taskId;
        this.setupMap = setupMap;
    }

    public FormPropertyBean(String flowId, String taskId, String userId, FlowTaskResult setupMap) {
        this.flowId = flowId;
        this.taskId = taskId;
        this.userId = userId;
        this.setupMap = setupMap;
    }

    public String getSopId() {
        return sopId;
    }

    public void setSopId(String sopId) {
        this.sopId = sopId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public FlowTaskResult getSetupMap() {
        return setupMap;
    }

    public void setSetupMap(FlowTaskResult setupMap) {
        this.setupMap = setupMap;
    }
}
